# DataTableBodyLayerStack (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableBodyLayerStack

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableBodyLayerStack

- All Implemented Interfaces:
    org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      public class DataTableBodyLayerStack
      extends org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

  A BodyLayerStack for the DataView.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

      `underlyingLayer`

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `layerPainter`

    - ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      `DOT, VALUE_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableBodyLayerStack(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingLayer, org.eclipse.nebula.widgets.nattable.NatTable table, DataTableContext context, org.eclipse.swt.widgets.Control parent)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.nebula.widgets.nattable.layer.ILayer` | `getRowHeaderLayer()`
    `org.eclipse.nebula.widgets.nattable.selection.SelectionLayer` | `getSelectionLayer()` Returns the selection layer.
    `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer` | `getViewportLayer()` Returns the viewport layer.
    `void` | `setClientAreaProvider(org.eclipse.nebula.widgets.nattable.util.IClientAreaProvider clientAreaProvider)`
    `void` | `setRowHeaderLayer(org.eclipse.nebula.widgets.nattable.layer.ILayer rowHeaderLayer)` Sets the row header layer.

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

      `configure, dispose, doCommand, getCellByPosition, getCellPainter, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnWidthByPosition, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getHeight, getLayerPainter, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayer, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setUnderlyingLayer, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getBoundsByPosition, getClientAreaProvider, getConfigLabelAccumulator, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerCommandHandlers, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableBodyLayerStack

          public DataTableBodyLayerStack(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingLayer,
                                 org.eclipse.nebula.widgets.nattable.NatTable table,
                                 DataTableContext context,
                                 org.eclipse.swt.widgets.Control parent)

      Creates a new instance.
      Parameters:
        `underlyingLayer` -
        `table` -
        `context` -
        `parent` -

  - ### Method Detail

    - #### getRowHeaderLayer

          public org.eclipse.nebula.widgets.nattable.layer.ILayer getRowHeaderLayer()

      Returns:
        the rowHeaderLayer

    - #### getSelectionLayer

          public org.eclipse.nebula.widgets.nattable.selection.SelectionLayer getSelectionLayer()

      Returns the selection layer.
      Returns:

    - #### getViewportLayer

          public org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer getViewportLayer()

      Returns the viewport layer.
      Returns:

    - #### setClientAreaProvider

          public void setClientAreaProvider(org.eclipse.nebula.widgets.nattable.util.IClientAreaProvider clientAreaProvider)

      Specified by:
        `setClientAreaProvider` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `setClientAreaProvider` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

    - #### setRowHeaderLayer

          public void setRowHeaderLayer(org.eclipse.nebula.widgets.nattable.layer.ILayer rowHeaderLayer)

      Sets the row header layer.
      Parameters:
        `rowHeaderLayer` -